Subject: Re: bug#18872: 24.4; nxml-bug: non-working indentation after yank

From: Noam Postavsky <[email-masked]>
Date: Fri, 21 Sep 2018 21:15:58 -0400

found 18872 25.3
tags 18872 fixed
close 18872 26.1
found 19024 25.3
tags 19024 fixed
close 19024 26.1
quit

Vincent Lefevre <[email-masked]> writes:

> On 2016-03-02 13:49:29 +0100, Marcin Borkowski wrote:
>> On 2014-10-28, at 16:06, Vincent Lefevre <[email-masked]> wrote:
>> > ------------------------------------------------------------------
>> > <?xml version="1.0" encoding="utf-8"?>
>> > <root>
>> > <a/>
>> > <a b=""
>> > []
>> > <!--
>> > <a b=""
>> > -->
>> > </root>
>> > ------------------------------------------------------------------
>> >
>> > where [] is the cursor.
>> >
>> > 5. Type TAB. This should have put the cursor just below the 'b'
>> > for indentation, but this does nothing.
>> >
>> > 6. If one types DEL then RET, one doesn't get an indentation either.
>> >
>> > 7. If one types DEL then RET again, one gets the indentation!
>> 
>> And this in turn I cannot reproduce.  Could you check this one, too?
>> (Sorry if I'm mistaken again...)
>
> I can still reproduce it with GNU Emacs 25.0.91.1.

This and Bug#19024 seem to have been fixed in Emacs 26.1,
I think by [1: 56e1097584].

[1: 56e1097584]: 2016-01-16 15:03:42 -0500
  lisp/nxml: Use syntax-tables for comments
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=56e1097584c13f2b6db85592769db1c6c36e9419